extends Node2D
class_name Taquin
tool

export var rows: int = 4
export var columns: int = 4
export var width: int = 512
export var height: int = 512

var pieces: Array = []

func _draw() -> void:
	draw_rect(Rect2(0, 0, width, height), Color.blue)
	
func _ready() -> void:
	for r in range(rows):
		for c in range(columns):
			if r == rows - 1 && c == columns - 1:
				continue
			var piece = Piece.new()
			var padding_w = (width - (piece.size * columns)) / (columns + 1)
			var padding_h = (height - (piece.size * rows)) / (rows + 1)
			var initial_position = Vector2(padding_w + c * (piece.size + padding_w), padding_h + r * (piece.size + padding_h))
			piece.translate(initial_position)
			add_child(piece)
			pieces.append(piece)